<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."question_panel/infusion_db.php";

if (file_exists(INFUSIONS."question_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."question_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."question_panel/locale/English.php";
}

$inf_title = $locale['PLAN_TITLE'];
$inf_description = $locale['PLAN_DESC'];
$inf_version = "1.0";
$inf_developer = "Piotrroger";
$inf_email = "piotrroger@gmail.com";
$inf_weburl = "http://www.php-fusion.pl/profile.php?lookup=6481";

$inf_folder = "question_panel";

$inf_newtable[1] = DB_QUESTION." (
		id mediumint(8) unsigned NOT NULL auto_increment,
		title text NOT NULL default '',
		status tinyint(1) NOT NULL default '0',
		PRIMARY KEY (id)
	) ENGINE=MyISAM;";
	
$inf_newtable[2] = DB_QUESTION_VOTE." (
		id mediumint(8) unsigned NOT NULL auto_increment,
		question_id mediumint(8) unsigned NOT NULL,
		answer text NOT NULL default '',
		ip INT(10) unsigned NOT NULL,
		PRIMARY KEY (id)
	) ENGINE=MyISAM;";

$inf_droptable[1] = DB_QUESTION;
$inf_droptable[2] = DB_QUESTION_VOTE;

$inf_adminpanel[1] = array(
	"title" => $locale['PLAN_ADMIN1'],
	"image" => "image.gif",
	"panel" => "question_admin.php",
	"rights" => "QP"
);
?>